Subject: bug#20016: 24.4; is there a way to avoid white flash while switching between themes

From: Mauro Aranda <[email-masked]>
Date: Thu, 5 Nov 2020 19:08:21 -0300

merge 22466 20016
quit

Marcin Kasperski <[email-masked]> writes:

> I am looking for a way to switch[1] between two themes gently [2],
> without unpleasant effect of window becoming white for a short moment
> (what means unpleasant white flash).
>
> Reproducting the problem
> =========================
>
>   a) (to have clear start) Load any two dark themes and apply one of
>      them.  For example, eval the following:
>
>           (load-theme 'twilight 't 't)
>           (load-theme 'molokai 't 't)
>           (enable-theme 'twilight)
>
>      (feel free to replace twilight and molokai with any other dark
>       themes)
>
>   b) eval the following
>
>           (disable-theme 'twilight)
>           (enable-theme 'molokai)
>
>      Emacs will drop twilight, *flash with white*, and only then apply
>      molokai.
>
>   c) the other way around is similar, eval
>
>           (enable-theme 'twilight)
>           (disable-theme 'molokai)
>
>      The flash is still there, and happens during disable-theme.
>
>      { In Emacs 24.3 case c) was worse than b) → lasted longer and
>        sometimes caused 2-3 flashes. In 24.4 both cases are similar. }

Although I didn't test with those exact themes because I don't have
them, the description of the problem seems to be like the one in
Bug#22466, so I'm merging the bugs.